### Hierarchy

- PromisedAssert

## Index

### Methods

- Throw
- approximately
- changes
- closeTo
- decreases
- deepEqual
- deepProperty
- deepPropertyNotVal
- deepPropertyVal
- doesNotChange
- doesNotDecrease
- doesNotIncrease
- doesNotThrow
- equal
- exists
- fail
- frozen
- ifError
- include
- includeDeepMembers
- includeDeepOrderedMembers
- includeMembers
- includeOrderedMembers
- increases
- instanceOf
- isAbove
- isArray
- isAtBelow
- isAtLeast
- isAtMost
- isBoolean
- isDefined
- isEmpty
- isExtensible
- isFalse
- isFrozen
- isFunction
- isNaN
- isNotArray
- isNotBoolean
- isNotEmpty
- isNotExtensible
- isNotFalse
- isNotFrozen
- isNotFunction
- isNotNaN
- isNotNull
- isNotNumber
- isNotObject
- isNotOk
- isNotSealed
- isNotString
- isNotTrue
- isNull
- isNumber
- isObject
- isOk
- isSealed
- isString
- isTrue
- isUndefined
- lengthOf
- match
- notDeepEqual
- notDeepProperty
- notEqual
- notExists
- notFrozen
- notInclude
- notIncludeDeepOrderedMembers
- notIncludeOrderedMembers
- notInstanceOf
- notMatch
- notOk
- notProperty
- notSameDeepOrderedMembers
- notSameOrderedMembers
- notSealed
- notStrictEqual
- notTypeOf
- ok
- oneOf
- operator
- property
- propertyNotVal
- propertyVal
- sameDeepMembers
- sameDeepOrderedMembers
- sameMembers
- sameOrderedMembers
- sealed
- strictEqual
- throw
- throws
- typeOf

## Methods

### Throw

- Throw(fn: Function, msg?: undefined | string): PromiseLike<void>
- Throw(fn: Function, regExp: RegExp): PromiseLike<void>
- Throw(fn: Function, errType: Function, msg?: undefined | string): PromiseLike<void>
- Throw(fn: Function, errType: Function, regExp: RegExp): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:363

  #### Parameters

  - ##### fn: Function

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:364

  #### Parameters

  - ##### fn: Function

  - ##### regExp: RegExp

  #### Returns PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:365

  #### Parameters

  - ##### fn: Function

  - ##### errType: Function

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:366

  #### Parameters

  - ##### fn: Function

  - ##### errType: Function

  - ##### regExp: RegExp

  #### Returns PromiseLike<void>

### approximately

- approximately(act: number, exp: number, delta: number, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:375

  #### Parameters

  - ##### act: number

  - ##### exp: number

  - ##### delta: number

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### changes

- changes(modifier: Function, obj: Object, property: string, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:392

  #### Parameters

  - ##### modifier: Function

  - ##### obj: Object

  - ##### property: string

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### closeTo

- closeTo(act: number, exp: number, delta: number, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:374

  #### Parameters

  - ##### act: number

  - ##### exp: number

  - ##### delta: number

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### decreases

- decreases(modifier: Function, obj: Object, property: string, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:396

  #### Parameters

  - ##### modifier: Function

  - ##### obj: Object

  - ##### property: string

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### deepEqual

- deepEqual(act: any, exp: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:281

  #### Parameters

  - ##### act: any

  - ##### exp: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### deepProperty

- deepProperty(obj: Object, prop: string, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:342

  #### Parameters

  - ##### obj: Object

  - ##### prop: string

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### deepPropertyNotVal

- deepPropertyNotVal(obj: Object, prop: string, val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:349

  #### Parameters

  - ##### obj: Object

  - ##### prop: string

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### deepPropertyVal

- deepPropertyVal(obj: Object, prop: string, val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:348

  #### Parameters

  - ##### obj: Object

  - ##### prop: string

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### doesNotChange

- doesNotChange(modifier: Function, obj: Object, property: string, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:393

  #### Parameters

  - ##### modifier: Function

  - ##### obj: Object

  - ##### property: string

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### doesNotDecrease

- doesNotDecrease(modifier: Function, obj: Object, property: string, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:397

  #### Parameters

  - ##### modifier: Function

  - ##### obj: Object

  - ##### property: string

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### doesNotIncrease

- doesNotIncrease(modifier: Function, obj: Object, property: string, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:395

  #### Parameters

  - ##### modifier: Function

  - ##### obj: Object

  - ##### property: string

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### doesNotThrow

- doesNotThrow(fn: Function, msg?: undefined | string): PromiseLike<void>
- doesNotThrow(fn: Function, regExp: RegExp): PromiseLike<void>
- doesNotThrow(fn: Function, errType: Function, msg?: undefined | string): PromiseLike<void>
- doesNotThrow(fn: Function, errType: Function, regExp: RegExp): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:368

  #### Parameters

  - ##### fn: Function

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:369

  #### Parameters

  - ##### fn: Function

  - ##### regExp: RegExp

  #### Returns PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:370

  #### Parameters

  - ##### fn: Function

  - ##### errType: Function

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:371

  #### Parameters

  - ##### fn: Function

  - ##### errType: Function

  - ##### regExp: RegExp

  #### Returns PromiseLike<void>

### equal

- equal(act: any, exp: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:275

  #### Parameters

  - ##### act: any

  - ##### exp: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### exists

- exists(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:301

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### fail

- fail(actual?: any, expected?: any, msg?: undefined | string, operator?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:268

  #### Parameters

  - ##### Optional actual: any

  - ##### Optional expected: any

  - ##### Optional msg: undefined | string

  - ##### Optional operator: undefined | string

  #### Returns PromiseLike<void>

### frozen

- frozen(obj: Object, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:410

  #### Parameters

  - ##### obj: Object

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### ifError

- ifError(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:399

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### include

- include(exp: string, inc: any, msg?: undefined | string): PromiseLike<void>
- include(exp: any[], inc: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:331

  #### Parameters

  - ##### exp: string

  - ##### inc: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:332

  #### Parameters

  - ##### exp: any[]

  - ##### inc: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### includeDeepMembers

- includeDeepMembers(set1: any[], set2: any[], msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:388

  #### Parameters

  - ##### set1: any[]

  - ##### set2: any[]

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### includeDeepOrderedMembers

- includeDeepOrderedMembers(set1: any[], set2: any[], msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:385

  #### Parameters

  - ##### set1: any[]

  - ##### set2: any[]

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### includeMembers

- includeMembers(set1: any[], set2: any[], msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:387

  #### Parameters

  - ##### set1: any[]

  - ##### set2: any[]

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### includeOrderedMembers

- includeOrderedMembers(set1: any[], set2: any[], msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:383

  #### Parameters

  - ##### set1: any[]

  - ##### set2: any[]

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### increases

- increases(modifier: Function, obj: Object, property: string, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:394

  #### Parameters

  - ##### modifier: Function

  - ##### obj: Object

  - ##### property: string

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### instanceOf

- instanceOf(val: any, type: Function, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:328

  #### Parameters

  - ##### val: any

  - ##### type: Function

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isAbove

- isAbove(val: number, above: number, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:284

  #### Parameters

  - ##### val: number

  - ##### above: number

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isArray

- isArray(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:313

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isAtBelow

- isAtBelow(val: number, below: number, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:286

  #### Parameters

  - ##### val: number

  - ##### below: number

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isAtLeast

- isAtLeast(val: number, atLeast: number, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:285

  #### Parameters

  - ##### val: number

  - ##### atLeast: number

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isAtMost

- isAtMost(val: number, atMost: number, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:287

  #### Parameters

  - ##### val: number

  - ##### atMost: number

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isBoolean

- isBoolean(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:322

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isDefined

- isDefined(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:305

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isEmpty

- isEmpty(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:414

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isExtensible

- isExtensible(obj: Object, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:401

  #### Parameters

  - ##### obj: Object

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isFalse

- isFalse(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:290

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isFrozen

- isFrozen(obj: Object, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:409

  #### Parameters

  - ##### obj: Object

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isFunction

- isFunction(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:307

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isNaN

- isNaN(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:298

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isNotArray

- isNotArray(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:314

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isNotBoolean

- isNotBoolean(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:323

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isNotEmpty

- isNotEmpty(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:415

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isNotExtensible

- isNotExtensible(obj: Object, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:402

  #### Parameters

  - ##### obj: Object

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isNotFalse

- isNotFalse(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:293

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isNotFrozen

- isNotFrozen(obj: Object, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:411

  #### Parameters

  - ##### obj: Object

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isNotFunction

- isNotFunction(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:308

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isNotNaN

- isNotNaN(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:299

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isNotNull

- isNotNull(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:296

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isNotNumber

- isNotNumber(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:320

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isNotObject

- isNotObject(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:311

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isNotOk

- isNotOk(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:272

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isNotSealed

- isNotSealed(obj: Object, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:406

  #### Parameters

  - ##### obj: Object

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isNotString

- isNotString(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:317

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isNotTrue

- isNotTrue(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:292

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isNull

- isNull(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:295

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isNumber

- isNumber(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:319

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isObject

- isObject(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:310

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isOk

- isOk(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:270

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isSealed

- isSealed(obj: Object, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:404

  #### Parameters

  - ##### obj: Object

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isString

- isString(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:316

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isTrue

- isTrue(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:289

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### isUndefined

- isUndefined(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:304

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### lengthOf

- lengthOf(exp: any, len: number, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:351

  #### Parameters

  - ##### exp: any

  - ##### len: number

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### match

- match(exp: any, re: RegExp, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:337

  #### Parameters

  - ##### exp: any

  - ##### re: RegExp

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### notDeepEqual

- notDeepEqual(act: any, exp: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:282

  #### Parameters

  - ##### act: any

  - ##### exp: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### notDeepProperty

- notDeepProperty(obj: Object, prop: string, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:343

  #### Parameters

  - ##### obj: Object

  - ##### prop: string

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### notEqual

- notEqual(act: any, exp: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:276

  #### Parameters

  - ##### act: any

  - ##### exp: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### notExists

- notExists(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:302

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### notFrozen

- notFrozen(obj: Object, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:412

  #### Parameters

  - ##### obj: Object

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### notInclude

- notInclude(exp: string, inc: any, msg?: undefined | string): PromiseLike<void>
- notInclude(exp: any[], inc: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:334

  #### Parameters

  - ##### exp: string

  - ##### inc: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:335

  #### Parameters

  - ##### exp: any[]

  - ##### inc: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### notIncludeDeepOrderedMembers

- notIncludeDeepOrderedMembers(set1: any[], set2: any[], msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:386

  #### Parameters

  - ##### set1: any[]

  - ##### set2: any[]

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### notIncludeOrderedMembers

- notIncludeOrderedMembers(set1: any[], set2: any[], msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:384

  #### Parameters

  - ##### set1: any[]

  - ##### set2: any[]

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### notInstanceOf

- notInstanceOf(val: any, type: Function, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:329

  #### Parameters

  - ##### val: any

  - ##### type: Function

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### notMatch

- notMatch(exp: any, re: RegExp, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:338

  #### Parameters

  - ##### exp: any

  - ##### re: RegExp

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### notOk

- notOk(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:273

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### notProperty

- notProperty(obj: Object, prop: string, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:341

  #### Parameters

  - ##### obj: Object

  - ##### prop: string

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### notSameDeepOrderedMembers

- notSameDeepOrderedMembers(set1: any[], set2: any[], msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:382

  #### Parameters

  - ##### set1: any[]

  - ##### set2: any[]

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### notSameOrderedMembers

- notSameOrderedMembers(set1: any[], set2: any[], msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:380

  #### Parameters

  - ##### set1: any[]

  - ##### set2: any[]

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### notSealed

- notSealed(obj: Object, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:407

  #### Parameters

  - ##### obj: Object

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### notStrictEqual

- notStrictEqual(act: any, exp: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:279

  #### Parameters

  - ##### act: any

  - ##### exp: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### notTypeOf

- notTypeOf(val: any, type: string, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:326

  #### Parameters

  - ##### val: any

  - ##### type: string

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### ok

- ok(val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:271

  #### Parameters

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### oneOf

- oneOf(val: any, list: any[], msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:390

  #### Parameters

  - ##### val: any

  - ##### list: any[]

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### operator

- operator(val: any, operator: string, val2: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:373

  #### Parameters

  - ##### val: any

  - ##### operator: string

  - ##### val2: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### property

- property(obj: Object, prop: string, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:340

  #### Parameters

  - ##### obj: Object

  - ##### prop: string

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### propertyNotVal

- propertyNotVal(obj: Object, prop: string, val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:346

  #### Parameters

  - ##### obj: Object

  - ##### prop: string

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### propertyVal

- propertyVal(obj: Object, prop: string, val: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:345

  #### Parameters

  - ##### obj: Object

  - ##### prop: string

  - ##### val: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### sameDeepMembers

- sameDeepMembers(set1: any[], set2: any[], msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:378

  #### Parameters

  - ##### set1: any[]

  - ##### set2: any[]

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### sameDeepOrderedMembers

- sameDeepOrderedMembers(set1: any[], set2: any[], msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:381

  #### Parameters

  - ##### set1: any[]

  - ##### set2: any[]

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### sameMembers

- sameMembers(set1: any[], set2: any[], msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:377

  #### Parameters

  - ##### set1: any[]

  - ##### set2: any[]

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### sameOrderedMembers

- sameOrderedMembers(set1: any[], set2: any[], msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:379

  #### Parameters

  - ##### set1: any[]

  - ##### set2: any[]

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### sealed

- sealed(obj: Object, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:405

  #### Parameters

  - ##### obj: Object

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### strictEqual

- strictEqual(act: any, exp: any, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:278

  #### Parameters

  - ##### act: any

  - ##### exp: any

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

### throw

- throw(fn: Function, msg?: undefined | string): PromiseLike<void>
- throw(fn: Function, regExp: RegExp): PromiseLike<void>
- throw(fn: Function, errType: Function, msg?: undefined | string): PromiseLike<void>
- throw(fn: Function, errType: Function, regExp: RegExp): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:353

  #### Parameters

  - ##### fn: Function

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:354

  #### Parameters

  - ##### fn: Function

  - ##### regExp: RegExp

  #### Returns PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:355

  #### Parameters

  - ##### fn: Function

  - ##### errType: Function

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:356

  #### Parameters

  - ##### fn: Function

  - ##### errType: Function

  - ##### regExp: RegExp

  #### Returns PromiseLike<void>

### throws

- throws(fn: Function, msg?: undefined | string): PromiseLike<void>
- throws(fn: Function, regExp: RegExp): PromiseLike<void>
- throws(fn: Function, errType: Function, msg?: undefined | string): PromiseLike<void>
- throws(fn: Function, errType: Function, regExp: RegExp): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:358

  #### Parameters

  - ##### fn: Function

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:359

  #### Parameters

  - ##### fn: Function

  - ##### regExp: RegExp

  #### Returns PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:360

  #### Parameters

  - ##### fn: Function

  - ##### errType: Function

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:361

  #### Parameters

  - ##### fn: Function

  - ##### errType: Function

  - ##### regExp: RegExp

  #### Returns PromiseLike<void>

### typeOf

- typeOf(val: any, type: string, msg?: undefined | string): PromiseLike<void>

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:325

  #### Parameters

  - ##### val: any

  - ##### type: string

  - ##### Optional msg: undefined | string

  #### Returns PromiseLike<void>

Generated using TypeDoc